POST
/api/Members
const url = 'https://example.com/api/Members';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"merchantId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","firstName":"example","lastName":"example","email":"hello@example.com","phone":"example","addressLine1":"example","addressLine2":"example","city":"example","state":"example","postCode":"example","country":"example","notes":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/Members \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "merchantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "firstName": "example", "lastName": "example", "email": "hello@example.com", "phone": "example", "addressLine1": "example", "addressLine2": "example", "city": "example", "state": "example", "postCode": "example", "country": "example", "notes": "example" }'Creates a new member and returns the created resource. Email must be unique per merchant.
POST /api/members
{
"merchantId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"firstName": "Jane",
"lastName": "Smith",
"email": "jane@example.com",
"phone": "+61 400 000 000",
"city": "Melbourne",
"country": "AU"
}Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ”Member creation payload.
object
merchantId
required
string format: uuid
firstName
required
string
lastName
required
string
email
required
string format: email
phone
string
addressLine1
string
addressLine2
string
city
string
state
string
postCode
string
country
string
notes
string
Example generated
{ "merchantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "firstName": "example", "lastName": "example", "email": "hello@example.com", "phone": "example", "addressLine1": "example", "addressLine2": "example", "city": "example", "state": "example", "postCode": "example", "country": "example", "notes": "example"}object
merchantId
required
string format: uuid
firstName
required
string
lastName
required
string
email
required
string format: email
phone
string
addressLine1
string
addressLine2
string
city
string
state
string
postCode
string
country
string
notes
string
Example generated
{ "merchantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "firstName": "example", "lastName": "example", "email": "hello@example.com", "phone": "example", "addressLine1": "example", "addressLine2": "example", "city": "example", "state": "example", "postCode": "example", "country": "example", "notes": "example"}object
merchantId
required
string format: uuid
firstName
required
string
lastName
required
string
email
required
string format: email
phone
string
addressLine1
string
addressLine2
string
city
string
state
string
postCode
string
country
string
notes
string
Example generated
{ "merchantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "firstName": "example", "lastName": "example", "email": "hello@example.com", "phone": "example", "addressLine1": "example", "addressLine2": "example", "city": "example", "state": "example", "postCode": "example", "country": "example", "notes": "example"}Responses
Section titled “ Responses ”Member created successfully.
Media type application/json
object
id
string format: uuid
merchantId
string format: uuid
firstName
string
lastName
string
fullName
string
email
string
phone
string
addressLine1
string
addressLine2
string
city
string
state
string
postCode
string
country
string
status
string
notes
string
createdAt
string format: date-time
updatedAt
string format: date-time
Example
{ "status": "Active"}Validation failed — check the errors object.
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}